#!/bin/sh

DVBLINK_ROOT_DIR="/storage/dvblink"
DVBLINK_TMP_DIR="/storage/6f345fc1-fc30-44e7-b69f-7375def90b02"
SHARE_PATH="/storage/dvblink.data"

#stop dvblink server if it is already running
if [ -f $DVBLINK_ROOT_DIR/stop.sh ]; then
	echo "Stopping dvblink server"
	$DVBLINK_ROOT_DIR/stop.sh
fi

rm -rf $DVBLINK_TMP_DIR

#if upgrading - copy the config files to a temp dir
if [ -d ${DVBLINK_ROOT_DIR}/config ]; then
	echo "saving existing config files"
	mkdir -p $DVBLINK_TMP_DIR
	cp ${DVBLINK_ROOT_DIR}/config/*.xml $DVBLINK_TMP_DIR/
fi

#copy new files to the destination

mkdir -p $DVBLINK_ROOT_DIR

echo "copying dvblink files"
cp -rf ./dvblink/* $DVBLINK_ROOT_DIR/

#upgrade ?
if [ -d ${DVBLINK_TMP_DIR} ]; then
	echo "restoring config files"
	cp -rf $DVBLINK_TMP_DIR/*.xml ${DVBLINK_ROOT_DIR}/config/
fi

rm -rf ${DVBLINK_TMP_DIR}

echo "creating/updating dvblink data directory"

mkdir -p -m a=rwx ${SHARE_PATH}

ln -sf ${SHARE_PATH} ${DVBLINK_ROOT_DIR}/share

mkdir -p -m a=rwx ${SHARE_PATH}/RecordedTV

mkdir -p -m a=rwx ${SHARE_PATH}/xmltv
cp -f ${DVBLINK_ROOT_DIR}/config/XMLTV_Readme.txt ${SHARE_PATH}/xmltv/

mkdir -p -m u=rwx,g=r,o=r ${SHARE_PATH}/database
cp -f ${DVBLINK_ROOT_DIR}/sinks/dlrecorder/dlrecorder_settings.xml ${SHARE_PATH}/database/

#add dvblink to the start-up script
AUTOSTART_FILE="/storage/.config/autostart.sh"
#check if autostart file exists
if [ ! -f $AUTOSTART_FILE ]; then
	echo "#!/bin/sh" > $AUTOSTART_FILE
	chmod +x $AUTOSTART_FILE
fi

#check if dvblink server start-up is already there

grep -q dvblink $AUTOSTART_FILE
RET=$?

if [ ${RET} -eq 1 ]; then
	echo "updating autostart.sh file"
	echo "/storage/dvblink/start2.sh" >> $AUTOSTART_FILE
fi

#start dvblink server
echo "starting dvblink server..."
${DVBLINK_ROOT_DIR}/start2.sh


